Bug 1718575 - Review Request: xavs2 - An open-source encoder of AVS2-P2/IEEE1857.4 video coding standard [NEEDINFO]
Summary: Review Request: xavs2 - An open-source encoder of AVS2-P2/IEEE1857.4 video co...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2019-06-08 18:43 UTC by Simone Caronni
Modified: 2019-09-14 07:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 07:25:13 UTC
negativo17: needinfo? (extras-qa)


Attachments (Terms of Use)

Description Simone Caronni 2019-06-08 18:43:17 UTC
Spec URL: https://slaanesh.fedorapeople.org/xavs2.spec
SRPM URL: https://slaanesh.fedorapeople.org/xavs2-1.3-1.fc30.src.rpm
Description: xavs2 is an open-source encoder of AVS2-P2/IEEE1857.4 video coding standard.
Fedora Account System Username: slaanesh

Comment 1 Simone Caronni 2019-06-09 05:54:07 UTC
%ldconfig_scriptlets are in the spec file as I plan to also build for EPEL 7.

Comment 2 Simone Caronni 2019-06-09 07:30:28 UTC
Just noticed that binaries with execstack forcibly disabled do not work. execstack is explicitly enabled on all architectures at configure time (see build/linux/configure):

$ rpmlint xavs*rpm
xavs2.x86_64: W: executable-stack /usr/bin/xavs2
xavs2.x86_64: W: no-documentation
xavs2.x86_64: W: no-manual-page-for-binary xavs2
xavs2-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libxavs2.so.13 exit@GLIBC_2.2.5
xavs2-libs.x86_64: W: executable-stack /usr/lib64/libxavs2.so.13
xavs2-libs.x86_64: W: no-documentation
xavs2-libs.x86_64: E: incorrect-fsf-address /usr/share/licenses/xavs2-libs/COPYING
7 packages and 0 specfiles checked; 1 errors, 6 warnings.

Comment 3 Simone Caronni 2019-08-18 08:39:24 UTC
How can I unblock this? It has been pending legal for 2 months.
I'm not even sure who to ping.

Thanks.

Comment 4 Simone Caronni 2019-09-14 07:25:13 UTC
As explained in the davs2 review (the decoder) this package is not permitted in Fedora.


Note You need to log in before you can comment on or make changes to this bug.